PETSc version 3.15.5
Fix/Edit manual page

# MatKAIJSetT

Set the transformation matrix T associated with the KAIJ matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatKAIJSetT(Mat A,PetscInt p,PetscInt q,const PetscScalar T[])

Logically Collective; the entire T is stored independently on all processes.

### Input Parameters

| A | - the KAIJ matrix
| p | - the number of rows in S
| q | - the number of columns in S
| T | - the T matrix, in form of a scalar array in column-major format

Notes: The dimensions p and q must match those of the shift matrix S associated with the KAIJ matrix. The T matrix is copied, so the user can destroy this array.

### See Also

MatKAIJGetT(), MatKAIJSetS(), MatKAIJSetAIJ()

### Level

Advanced

### Location

src/mat/impls/kaij/kaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages